Stop a server

Asks the guest operating system to shut down and forces the server off if it has not stopped within a minute.

POST
/servers/{server}/stop

Authorization

BearerToken
AuthorizationBearer <token>

In: header

Path Parameters

server*integer

The server ID

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/servers/0/stop"
{  "id": 0,  "hostname": "string",  "billing_cycle": 0,  "plan": {    "id": "string",    "type": "string",    "key": "string",    "name": "string",    "vcpus": "string",    "dedicated_cpu": true,    "memory": "string",    "disk": "string",    "bandwidth": "string",    "network_speed": "string",    "minimum_billing_cycle": "string",    "plan_with_more_disk": "string",    "plan_with_more_memory": "string",    "available": true,    "price": "string",    "price_with_vat": "string"  },  "actual_disk": "string",  "status": "awaiting_payment",  "virtualization": "string",  "promo_code": "string",  "locked": "string",  "locked_at": "string",  "lock_reason": "string",  "created_at": "2019-08-24T14:15:22Z",  "expiry_at": "string",  "potential_expiry_at": "2019-08-24T14:15:22Z",  "auto_renew": true,  "server_image": {    "id": 0,    "name": "string",    "minimum_ram": 0,    "eol": true,    "ssh_keys_support": true,    "amd_sev_supported": true,    "group": {      "name": "string",      "key": "string",      "icon": "string",      "order": 0,      "coming_soon": true    },    "order": 0  },  "ip_addresses": [    {      "id": 0,      "ip_address": "string",      "prefix": 0,      "version": 0,      "type": "public",      "main": true,      "ddos_protected": true,      "gateway": "string",      "floating_ip": {        "id": 0,        "status": "string",        "server_id": 0,        "server_hostname": "string",        "locked": "string",        "locked_at": "string",        "lock_reason": "string",        "billing_cycle": 0,        "expiry_at": "2019-08-24T14:15:22Z",        "plan": {          "id": "string",          "name": "string",          "available": true,          "price": "string",          "price_with_vat": "string"        },        "cancel_request": {          "id": 0,          "now": 0,          "reason": "string",          "created_at": "2019-08-24T14:15:22Z"        }      },      "ptr": [        null      ],      "assigned_on": "string"    }  ],  "addons": [    {      "id": 0,      "name": "100mbps-unmetered",      "status": "string",      "quantity": 0,      "amount": "string",      "amount_with_vat": "string",      "upgrade_price_per_user": "string",      "upgrade_price_per_user_with_vat": "string",      "downgrade_price_per_user": "string",      "downgrade_price_per_user_with_vat": "string",      "created_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "cancel_request": {        "id": 0,        "now": 0,        "reason": "string",        "created_at": "2019-08-24T14:15:22Z"      },      "extra": {        "next_backup_at": "string"      }    }  ],  "cancel_request": {    "id": 0,    "now": 0,    "reason": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "settings": "string",  "ssh_keys": [    {      "id": 0,      "name": "string",      "fingerprint": "string",      "key": "string",      "servers": "string"    }  ],  "adapter": 1,  "startup_script": {    "exists": true,    "type": "string",    "preset": "string",    "bytes": 0,    "sha256": "string",    "updated_at": "2019-08-24T14:15:22Z"  },  "vpcs": [    {      "vpc": {        "id": 0,        "name": "string",        "cidr": "string"      },      "server_id": 0,      "server_hostname": "string",      "interface_name": "string",      "interface_name_inferred": "string",      "mac_address": "string",      "private_ip": "string",      "joined_at": "2019-08-24T14:15:22Z"    }  ],  "actual_network_speed": "string",  "renew_amount": "string",  "renew_amount_with_vat": "string",  "state": [    null  ]}